{{ attach_library('compony/onomasticon') }}

{% set attributes = create_attribute() %}

{%
  set classes = [
    'onomasticon',
    implement == 'extra_element' ? 'onomasticon-extra-element',
    implement == 'extra_element' ? 'onomasticon-orientation-' ~ orientation,
    cursor == default ? '' : 'onomasticon-cursor-' ~ cursor,
  ]
%}

<span {{ attributes.addClass(classes) }} tabindex="0" data-tooltip="{{ description|striptags }}">
  {{ needle|striptags }}
</span>
